#pragma once

class Uid
{
public:
	uint8_t size; // Number of bytes in the UID. 4, 7 or 10.
	uint8_t uidByte[10];
	uint8_t sak;  // The SAK (Select acknowledge) byte returned from the PICC after successful selection.
	bool operator==(Uid& in)
	{
		if(size != in.size)
			return false;
		for(uint8_t i = 0; i < size; ++i)
		{
			if(uidByte[i] != in.uidByte[i])
				return false;
		}
		return true;
	}
	bool operator!=(Uid& in)
	{
		return !operator==(in);
	}
};
