#ifndef WRITEPIN_H
#define WRITEPIN_H
#include <avr/io.h>

inline void writePin(volatile unsigned char *port, const unsigned char pin, const bool state) //waste 2 cycles
{
	*port  &= ~(1 << pin);
	if(state) *port |= (1 << pin);
}

inline bool readPin( volatile unsigned char *inPort, const unsigned char pin){ return (bool) (*inPort & (1 << pin));}

#endif
